import type { PreRenderHook } from "../config-types";
import type { ConstantDeclaration, EnumDeclaration, InterfaceDeclaration, TypeDeclaration } from "../declaration-types";
type GenerateIndexFileConfig = {
    filter?: (declaration: TypeDeclaration | InterfaceDeclaration | EnumDeclaration | ConstantDeclaration) => boolean;
};
export declare const makeGenerateIndexFile: (config: GenerateIndexFileConfig) => PreRenderHook;
declare const generateIndexFile: PreRenderHook;
export default generateIndexFile;
